<?xml version="1.0" encoding="UTF-8"?>
<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Formulario usado en ejecución  
@cu CU-CO-E-01

@modified leidy.gonzalez Se agrega columna de derecho de peticio o tutela
-->

<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- 
IGAC proyecto SNC
@author: fabio.navarrete

    Pantalla que realiza la descarga de datos del SNC al DMC
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="/templates/generalCU.xhtml">


    <ui:define name="title">.::Sistema Nacional Catastral::. .::Alistamiento información::.</ui:define>
    <ui:define name="content">

        <p:messages id="tramsRealzTerrMsgs" globalOnly="false" />

        <h:form id="tramsRealzTerrForm">
            <p:dataTable value="#{alistamientoInformacion.tramitesEjecucion}"
                         var="tramite" 
                         rowKey="#{tramite.numeroRadicacion}"
                         paginatorPosition="bottom"
                         selectionMode="multiple"
                         selection="#{alistamientoInformacion.selectedTramites}"
                         paginator="true" rows="10"
                         paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                         rowsPerPageTemplate="5,10,20"
                         emptyMessage="No hay datos para esta tabla">

                <p:ajax event="rowSelect" 
                        listener="#{alistamientoInformacion.fooSelect}" 
                        update=":tramsRealzTerrForm:panelBtnsId" 
                        onstart="statusDialog2.show()" oncomplete="statusDialog2.hide()" />
                <p:ajax event="rowUnselect" 
                        listener="#{alistamientoInformacion.fooUnselect}" 
                        update=":tramsRealzTerrForm:panelBtnsId" 
                        onstart="statusDialog2.show()" oncomplete="statusDialog2.hide()" />

                <f:facet name="header">Información de trámites</f:facet>
                <p:column sortBy="#{tramite.solicitud.numero}">

                    <f:facet name="header">
                        <h:outputText value="No. Solicitud" title="Número de solicitud" />
                    </f:facet>

                    <p:commandLink styleClass="commandLinkStyle"
                                   oncomplete="detalleSolicitudWV.show();"
                                   update=":detalleSolicitudEjecutarForm" process="@this">
                        <h:outputText value="#{tramite.solicitud.numero}"
                                      styleClass="commandLinkStyleInTable" />
                        <f:setPropertyActionListener value="#{tramite.solicitud}"
                                                     target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                    </p:commandLink>

                </p:column>

                <p:column sortBy="#{tramite.numeroRadicacion}">

                    <f:facet name="header">
                        <h:outputText value="No. Radicado" title="Número de radicación del trámite" />
                    </f:facet>
                    <p:commandLink 
                        oncomplete="detalleTramiteEjecutarWV.show();" process="@this"
                        update=":detalleTramiteEjecutarForm"
                        value="#{tramite.numeroRadicacion}"
                        styleClass="commandLinkStyleInTable">
                        <f:setPropertyActionListener value="#{tramite}"
                                                     target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                    </p:commandLink>

                </p:column>

                <p:column headerText="Derecho Petición/Tutela">
                    <p:commandLink styleClass="commandLinkStyleInTable"
                                   oncomplete="detalleSolicitudWV.show();"
                                   update=":detalleSolicitudEjecutarForm">
                        <h:outputText value="#{tramite.formaPeticionTramite}" />
                        <f:setPropertyActionListener value="#{tramite.solicitud}"
                                                     target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                    </p:commandLink>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        <h:outputText value="Tipo de trámite" title="Tipo del trámite" />
                    </f:facet>
                    <h:outputText id="TramiteTipoTramite"
                                  value="#{tramite.tipoTramiteCadenaCompleto}"
                                  styleClass="outputTextStyleInTable">						
                    </h:outputText>					
                </p:column>


                <ui:remove>
                    <p:column>
                        <f:facet name="header">
                            <h:outputText value="Departamento" title="Departamento"
                                          styleClass="outputTextStyle" />
                        </f:facet>
                        <h:outputText value="#{tramite.departamento.nombre}" />

                    </p:column>

                    <p:column>

                        <f:facet name="header">
                            <h:outputText value="Municipio" title="Municipio" />
                        </f:facet>
                        <h:outputText value="#{tramite.municipio.nombre}"
                                      styleClass="outputTextStyle" />

                    </p:column>

                    <p:column>

                        <f:facet name="header">
                            <h:outputText value="No. predial" title="Número predial" />
                        </f:facet>
                        <h:outputText value="VALIDAR QUÉ SE PONE ACÁ!"
                                      styleClass="outputTextStyle" />

                    </p:column>
                </ui:remove>


                <p:column sortBy="#{tramite.comisionTramite.comision.numero}">

                    <f:facet name="header">
                        <h:outputText value="No. comisión" title="Número de comisión" />
                    </f:facet>
                    <p:commandLink id="viewMemoLnk" 
                                   rendered="#{tramite.comisionTramite.comision.comisionEstados[0].memorandoDocumento != null}"
                                   styleClass="commandLinkStyleInTable"
                                   value="#{tramite.comisionTramite.comision.numero}"
                                   action="#{alistamientoInformacion.alistarMemorandoParaVisualizacion}"
                                   oncomplete="viewMemorandoComisionWV.show()">
                        <f:setPropertyActionListener
                            target="#{alistamientoInformacion.selectedComisionTramite}"
                            value="#{tramite.comisionTramite}" />                                                
                    </p:commandLink>
                    <h:outputText value="#{tramite.comisionTramite.comision.numero}" 
                                  rendered="#{tramite.comisionTramite.comision.comisionEstados[0].memorandoDocumento == null}"
                                  title="No hay memorando asociado al último cambio de estado de la comisión"
                                  styleClass="outputTextStyleInTable"/>

                    <p:blockUI block=":tramsRealzTerrForm" trigger="viewMemoLnk" >
                        Descargando memorando de comisión
                        <p:graphicImage value="/images/loading.gif"/>
                    </p:blockUI>

                </p:column>

                <p:column sortBy="#{tramite.comisionTramite.comision.fechaInicio}">

                    <f:facet name="header">
                        <h:outputText value="Inicio comisión" title="Fecha de inicio de la comisión" />
                    </f:facet>
                    <h:outputText
                        value="#{tramite.comisionTramite.comision.fechaInicio}"
                        styleClass="outputTextStyleInTable">
                        <f:convertDateTime pattern="#{general.formatoFechaUsuario}" />
                    </h:outputText>

                </p:column>

                <p:column headerText="Estado comisión">
                    <h:outputText value="#{tramite.comisionTramite.comision.estado}"
                                  styleClass="outputTextStyleInTable" >
                        <f:converter converterId="converterComisionEstado" />
                    </h:outputText>
                </p:column>


            </p:dataTable>

            <p:spacer width="0" height="10" />

            <h:panelGrid columns="4" id="panelBtnsId">

                <ui:remove>cuando se implemente esta funcionalidad, reemplazar disabled="# {!alistamientoInformacion.banderaBotonExportar}" </ui:remove>
                <p:commandButton value="Exportar" title="Exportar trámite al DMC"
                                 icon="ui-icon-newwin" ajax="true" 
                                 id="exportarBtn"
                                 action="#{alistamientoInformacion.descargar}" 
                                 update=":tramsRealzTerrMsgs"					
                                 disabled="true" />
                <p:commandButton id="docsInfoBtn" value="Documentos e información"
                                 process="@form" oncomplete="listadoDeDocumentosWV.show()"
                                 icon="ui-icon-contact"
                                 action="#{alistamientoInformacion.cargarDocumentacionTramite}"
                                 title="Documentos e información del trámite"
                                 update=":listadoDocumentosForm:listadoDeDocumentosPanelGrid"
                                 disabled="#{fn:length(alistamientoInformacion.selectedTramites) ne 1}" />
                <p:commandButton
                    value="Devolver por comisión modificada"
                    icon="ui-icon-seek-prev"
                    disabled="#{!alistamientoInformacion.mostrarBotonDevolverXComisCancelada}" 
                    action="#{alistamientoInformacion.devolverPorComisionCancelada}"
                    update=":tramsRealzTerrForm,:tramsRealzTerrMsgs"/>
                <p:commandButton id="avanzarProcssBtn" value="Avanzar proceso"
                                 process="@form" oncomplete="avanceProcesoConfirmationWV.show()"
                                 icon="ui-icon-seek-next"
                                 title="Avanzar procesos seleccionados"
                                 update=":listadoDocumentosForm:listadoDeDocumentosPanelGrid"
                                 disabled="#{!alistamientoInformacion.mostrarBotonAvanzarProceso}" />

            </h:panelGrid>

            <p:spacer width="10" height="10" />
            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />

            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar"
                                 action="#{alistamientoInformacion.cerrar}"
                                 icon="ui-icon-circle-close" onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide();" ajax="false" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />
        </h:form>



        <!--  ################################  -->    

        <p:dialog appendToBody="true" modal="true" resizable="true" dynamic="true"
                  height="480" width="800" header="Listado de documentos"
                  widgetVar="listadoDeDocumentosWV" closable="true">
            <h:form id="listadoDocumentosForm">
                <ui:include src="listadoDeDocumentos.xhtml">
                    <ui:param name="managedBeanParam"
                              value="#{alistamientoInformacion}" />
                </ui:include>
            </h:form>
        </p:dialog>


        <p:dialog header="Detalle del trámite" widgetVar="detalleTramiteEjecutarWV" modal="false" 
                  appendToBody="true" resizable="true" position="center"
                  height="480" width="960">
            <ui:include src="detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle de la solicitud"
                  widgetVar="detalleSolicitudWV" modal="true"
                  appendToBody="true" resizable="true" position="center" height="480"
                  dynamic="true" width="960">
            <ui:include src="detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                <ui:param name="tramiteResumenID"
                          value="#{cc.attrs.tramiteResumenID}" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallePredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <p:dialog header="Número Predial Anterior"
                  widgetVar="numPredAnteriorDlg" appendToBody="true" modal="true"
                  height="500" width="800">
            <ui:include src="/conservacion/consultarNumeroPredialAnterior.xhtml" />
        </p:dialog>

        <misc:confirmationDialogWithCloseDecisionCC id="mensajeConfirmacion"
                                                    confirmMessage="#{alistamientoInformacion}"
                                                    confirmUpdate="msgInfoFis"
                                                    confirmAction="#{alistamientoInformacion.avanzarProcesos}"
                                                    noAction="#{alistamientoInformacion.terminar}"
                                                    confirmDialogWV="avanceProcesoConfirmationWV" ajaxBehavior="false" />

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />

        <ui:include src="/util/visorGeografico.xhtml" />


        <misc:visualizadorMemorandosCC 
            id="viewMemorandoComision" thisWVName="viewMemorandoComisionWV"
            urlDocumento="#{alistamientoInformacion.documentoMemorandoComision.urlWebReporte}"
            fileContent="#{alistamientoInformacion.documentoMemorandoComision.streamedContentReporte}"
            documentoGenerado="#{alistamientoInformacion.documentoMemorandoComision ne null}"
            radicarButtonVisible="false" />

        <misc:visualizadorMemorandosCC 
            id="viewFichaPredialDigital" thisWVName="viewFichaPredialDigitalWV"
            nombreDialogo="Ficha predial digital"
            urlDocumento="#{alistamientoInformacion.reporteFichaPredialDigital.urlWebReporte}"
            fileContent="#{alistamientoInformacion.reporteFichaPredialDigital.streamedContentReporte}"
            documentoGenerado="#{alistamientoInformacion.reporteFichaPredialDigital ne null}"
            radicarButtonVisible="false" />

        <p:dialog header="Carta catastral urbana" id="viewCartaCatastralUrbana"
                  widgetVar="viewCartaCatastralUrbanaWV1" appendToBody="true" modal="true"
                  width="760" height="610">
            <h:form id="vistaCartaCatastralForm">

                <h:panelGrid >
                    <h:graphicImage value="#{alistamientoInformacion.reporteCartaCatastralUrbana.urlWebReporte}"
                                    width="750" height="600" />
                </h:panelGrid>
            </h:form>
        </p:dialog>

    </ui:define>
</ui:composition>
